Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.light
Class ProcessLightingPass

    java.lang.Object
      de.grogra.imp3d.glsl.renderpass.RenderPass
          de.grogra.imp3d.glsl.light.ProcessLightingPass

    public class ProcessLightingPass

extends RenderPass

Field Summary

Fields inherited from class de.grogra.imp3d.glsl.renderpass.RenderPass
`newVisit`

Constructor Summary
`ProcessLightingPass()`

Method Summary
`void` | `DrawLights(GLSLDisplay disp, OpenGLState glState)` Iterate through all found lights, processing each by calling processLight on it.
`protected void` | `epilogue(GLSLDisplay disp, OpenGLState glState, java.lang.Object data)`
`protected void` | `prologue(GLSLDisplay disp, OpenGLState glState, java.lang.Object data)`
`protected void` | `render(GLSLDisplay disp, OpenGLState glState, java.lang.Object data)`

Methods inherited from class de.grogra.imp3d.glsl.renderpass.RenderPass
`activateTextures, activateTextures, deactivateTextures, deactivateTextures, drawPrjQuad, drawPrjQuad, drawPrjQuad, drawPrjQuadParallel, getID, postDrawCallback, process, renderAndUpdateVector, renderVector, resetMatrix, setMatrix, ViewOrtho, ViewOrtho, ViewPerspective`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessLightingPass

    public ProcessLightingPass()

Method Detail

### DrawLights

    public void DrawLights(GLSLDisplay disp,
                           OpenGLState glState)

  Iterate through all found lights, processing each by calling processLight on it.

  Parameters:
    `disp` -

### epilogue

    protected void epilogue(GLSLDisplay disp,
                            OpenGLState glState,
                            java.lang.Object data)

  Specified by:
    `epilogue` in class `RenderPass`

### prologue

    protected void prologue(GLSLDisplay disp,
                            OpenGLState glState,
                            java.lang.Object data)

  Specified by:
    `prologue` in class `RenderPass`

### render

    protected void render(GLSLDisplay disp,
                          OpenGLState glState,
                          java.lang.Object data)

  Specified by:
    `render` in class `RenderPass`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD